Bug 1266267 - policycoreutils-python conflict when upgrading from F22 [NEEDINFO]
policycoreutils-python conflict when upgrading from F22
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-09-24 19:31 EDT by Johnny Robeson
Modified: 2016-12-20 09:44 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 09:44:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ignatenko: needinfo?

Attachments (Terms of Use)
dnf upgrade failure (198.45 KB, text/plain)
2015-09-24 19:31 EDT, Johnny Robeson
no flags Details
debugdata/ after dnf --debugsolver system-upgrade download --releasever 23 (4.79 MB, application/x-gzip)
2015-10-02 04:11 EDT, Petr Lautrbach
no flags Details
# dnf update --best --allowerasing --assumeno --releasever 23 (340.06 KB, text/plain)
2015-10-13 09:32 EDT, Petr Lautrbach
no flags Details

  None (edit)
Description Johnny Robeson 2015-09-24 19:31:59 EDT
Created attachment 1076755 [details]
dnf upgrade failure

policycoreutils-python conflict when upgrading from F22

Steps to Reproduce:
1. run dnf system-upgrade download --releasever 23

Actual results:

Skipping packages with broken dependencies:
 policycoreutils-python                     x86_64  2.4-12.fc23                                                        fedora   399 k

Expected results:
there are no skipped dependencies
Comment 1 Johnny Robeson 2015-10-01 06:10:26 EDT
and I can replicate this on nearly fresh install of Fedora 22 also.
Comment 2 Petr Lautrbach 2015-10-01 09:50:12 EDT
I see:

policycoreutils-python-utils x86_64  2.4-12.fc23    replacing  policycoreutils-python.x86_64 2.3-17.fc22

and no skipped dependencies.
Comment 3 Petr Lautrbach 2015-10-01 11:05:25 EDT
OK, I can reproduce the issue with a system installed from the workstation iso. I'm going to investigate it further.
Comment 4 Petr Lautrbach 2015-10-02 04:11 EDT
Created attachment 1079382 [details]
debugdata/ after dnf --debugsolver  system-upgrade download --releasever 23
Comment 5 Petr Lautrbach 2015-10-02 04:13:21 EDT
I'm not really sure what's wrong. 

dnf maintainers, could you please check the debugdata I've attached and explain why there's the problem with dependencies?
Comment 6 sheepdestroyer 2015-10-07 08:53:19 EDT
Can confirm same bug on my fedora 22 desktop
Comment 7 Honza Silhan 2015-10-13 08:55:45 EDT
It's normal package conflict - not a bug in DNF. To see which package it conflicts with run: `dnf update --best --allowerasing --assumeno`.
Comment 8 Petr Lautrbach 2015-10-13 09:32 EDT
Created attachment 1082428 [details]
# dnf update --best --allowerasing --assumeno --releasever 23
Comment 9 Petr Lautrbach 2015-10-13 09:33:16 EDT
I'm really sorry but I can't see it.

Jan, would you please help me to interpret the output of dnf I've attached?
Comment 10 Johnny Robeson 2015-10-13 16:53:27 EDT
the actual command is:

# dnf system-upgrade download --best --allowerasing --assumeno --releasever 23

but the output didn't change from the initial report
Comment 11 sheepdestroyer 2015-10-14 06:06:52 EDT
Same here, I do not see what is the conflict being stated explicitly.
I only get : 

# dnf system-upgrade download --best --allowerasing --assumeno --releasever 23
 policycoreutils-python-utils    x86_64 2.4-14.fc23                fedora 214 k
     replacing  policycoreutils-python.x86_64 2.3-18.fc22
 policycoreutils-python3         x86_64 2.4-14.fc23                fedora 1.8 M

 policycoreutils                 x86_64 2.4-14.fc23                fedora 922 k
 policycoreutils-devel           x86_64 2.4-14.fc23                fedora 330 k
 policycoreutils-gui             x86_64 2.4-14.fc23                fedora 1.7 M

Skipping packages with broken dependencies:
 policycoreutils-python          x86_64 2.4-14.fc23                fedora 399 k

And that's it, no error message about conflict. Even with -v, I only get the following more bits:
---> Package policycoreutils-python-utils.x86_64 2.4-14.fc23 will be installed
---> Package policycoreutils-python.x86_64 2.3-18.fc22 will be obsoleted
---> Package policycoreutils-python3.x86_64 2.4-14.fc23 will be installed
Comment 12 Kalev Lember 2015-10-17 17:26:10 EDT
I think the issue stems with the fact that policycoreutils-python is obsoleted in the transaction, but at the same time a newer policycoreutils-python is also available in the repos. One way to fix it would probably be to drop the policycoreutils-python subpackage.

Having said that, I do think there's a dependency solving bug here, so it would probably be good if dnf people could look at what's happening here.
Comment 13 Fedora Admin XMLRPC Client 2016-07-08 05:37:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Igor Gnatenko 2016-07-22 04:52:05 EDT
Is it still reproducible? Would be great to get debugdata by --debugsolver.
Comment 15 Fedora End Of Life 2016-11-24 07:35:42 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 09:44:26 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.